# Robut-giphy

A giphy plugin and meme generator for the robut hipchat bot.

## Installation

Install the gem

    gem install 'robut-giphy'

Add these lines to your Chatfile:

    require 'robut/plugin/giphy'

    Robut::Plugin.plugins << Robot::Plugin::Giphy

For meme-generation support, also add the following:

    require 'robut/plugin/giphy/memes'

    Robut::Plugin.plugins << Robut::Plugin::Giphy::Memes

By default, robut-giphy uses the Giphy beta API key. You may wish to replace
this with your own API key:

    Robut::Plugin::Giphy.configure do |c|
      c.api_key = 'your_api_key'
    end

robut-giphy filters results to those set to PG by default. If you want to
change this:

    Robut::Plugin::Giphy.configure do |c|
      c.rating = 'pg-13' # pg, pg-13 or r
    end

## Usage

This plugin searches giphy for a random gif matching a search phrase, and
displays it in chat. For example:

    @robut giphy funny kitten

If the meme plugin is also loaded, the gif will be run through memecaption to
add up to two lines of text

    @robut giphy funny kitten; a top caption goes here

    @robut giphy cat wig; a top caption; a bottom caption


## Contributing

You probably know the drill already...

1. Fork it
2. Create a feature branch
3. Write some tests
4. Commit your changes
5. Push to the branch
6. Create a new Pull Request

## License

(c) Simon Detheridge, 2015
Released under the MIT License

