# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'robut/plugin/giphy/version'

Gem::Specification.new do |spec|
  spec.name          = "robut-giphy"
  spec.version       = Robut::Plugin::Giphy::VERSION
  spec.authors       = ["Simon Detheridge"]
  spec.email         = ["simon.detheridge@gmail.com"]
  spec.summary       = %q{Robut giphy plugin and meme generator}
  spec.description   = %q{Enables robut to search for gipy images, and generate memes from those images using memecaptain}
  spec.homepage      = "http://github.com/gh2k/robut-giphy"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "robut"
  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "test-unit"
  spec.add_development_dependency "webmock"
end
